Subject: [Sip] how do you segregate host from token?

From: murali <[email-masked]>
Date: Tue Mar 25 11:05:20 2003

Hi,

In the field generic-param, its mentioned that generic-param = token[EQUAL gen-value}

now gen-value = token/host/quoted-string.
If host is an IPV4 address or IPV6 address, its fine. But, if host is a hostname which in turn is defined as 
hostname = *(domainlabel".")toplabel [.]
token also has the same allowable characters as allowed in domainname.

So, if I am writing a parser for gen-value, when do I recognize it as a token and when do I recognise it as a host with a hostname which comprises of a domainlabel followed by a toplabel?

Is there any particular character or pattern which distinguishes the hostname from the token?

Regards
Murali.

-------
Murali Voleti,
#503,Maheswari complex,
Masab Tank,
Hyderabad
Tele:(040) 6502272 ext:211

_____________________________________________________________
Get Your Free ScanMail and Email At http://mail.ttkbharatplanet.com
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip